package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: 唯一约束字段转换
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/13
 */
public enum FieldUniqueEnum {

    t_e_exam_orgId_code_Idx("考试批次编码"),

    t_e_exam_activity_examId_code_Idx("考场批次编码"),

    t_e_exam_course_examId_courseCode_Idx("考试科目编码");

    private String code;

    private FieldUniqueEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        if (Objects.equals(value.trim(), t_e_exam_orgId_code_Idx.code)) {
            return t_e_exam_orgId_code_Idx.name();
        } else if (Objects.equals(value.trim(), t_e_exam_course_examId_courseCode_Idx.code)) {
            return t_e_exam_course_examId_courseCode_Idx.name();
        } else {
            return t_e_exam_activity_examId_code_Idx.name();
        }
    }

    /**
     * 状态转换 toCode
     *
     * @param value
     * @return
     */
    public static String convertToCode(String value) {
        if (Objects.equals(value.trim(), t_e_exam_orgId_code_Idx.name())) {
            return t_e_exam_orgId_code_Idx.code;
        } else if (Objects.equals(value.trim(), t_e_exam_course_examId_courseCode_Idx.name())) {
            return t_e_exam_course_examId_courseCode_Idx.code;
        } else {
            return t_e_exam_activity_examId_code_Idx.code;
        }
    }
}
